/* DEBUG 
* {
	outline: solid 1px red;
}
/**/

*
{
	margin : 0;
	padding : 0;
	box-sizing : border-box;
}

.cliquableOui {	cursor : pointer; }
.cliquableNon {	cursor : default; }

.transparentOui { opacity : 0.5; }
.transparentNon { opacity : 1; }

.lienSansStyle { color: inherit; text-decoration: none;	outline: none; }

img 
{
	min-width : 1rem;
	min-height : 1rem;
	max-width : 100%; /* L'image ne dépassera pas la largeur disponible dans le parent */
	max-height : 100%; /* L'image ne dépassera pas la hauteur disponible dans le parent */
}
.divImage
{
	width : 100%;
	height : 39dvh;
}

svg 
{
	min-width : 1rem;
	min-height : 1rem;
	max-width : 100%; /* Le svg ne dépassera pas la largeur disponible dans le parent */
	max-height : 100%; /* Le svg ne dépassera pas la hauteur disponible dans le parent */
}

video 
{
	min-width: 1rem;
	min-height: 1rem;
	max-width: 100%;
	max-height: 100%;
}

.backgroundDebug { background: rgba(255, 0, 0, 1); }
.backgroundOpaque { background: rgba(0, 0, 0, 0.7); }

.borduresNoires { border : 1px solid black; }
.borduresTopNoires { border-top : 1px solid black; }
.borduresBottomNoires { border-bottom : 1px solid black; }
.borduresLeftNoires { border-left : 1px solid black; }
.borduresRightNoires { border-right : 1px solid black; }

.borduresGrises { border : 1px solid gray; }
.borduresTopGrises { border-top : 1px solid gray; }
.borduresBottomGrises { border-bottom : 1px solid gray; }
.borduresLeftGrises { border-left : 1px solid gray; }
.borduresRightGrises { border-right : 1px solid gray; }

.borduresBlanches { border : 1px solid white; }
.borduresTopBlanches { border-top : 1px solid white; }
.borduresBottomBlanches { border-bottom : 1px solid white; }
.borduresLeftBlanches { border-left : 1px solid white; }
.borduresRightBlanches { border-right : 1px solid white; }

.borderRadius1 { border-radius : 3px; }
.borderRadius2 { border-radius : 5px; }
.borderRadius3 { border-radius : 7px; }
.borderRadius4 { border-radius : 9px; }
.borderRadius5 { border-radius : 11px; }

.formulaireErrorOui { border : 1px solid red; background : #FF6347; }

.cacher { visibility : hidden; }
.nePasAfficher {display : none;}

@media screen and (max-width: 768px) 
{
	.largeurGlobale { width : 98%; }
}
@media screen and (min-width: 769px) 
{
	.largeurGlobale { width : 60%; }
}
.largeurMax{ width : 100%; }
.largeurMoit{ width : 50%; }

.encadrement { padding : 5px; }

.textStrokeNoir { text-shadow: 0px 0px 5px black; }
.textStrokeNoir2 { text-shadow: -1px -1px 0 black, 1px -1px 0 black, -1px 1px 0 black, 1px 1px 0 black; }
.textStrokeGris { text-shadow: -1px -1px 0 gray, 1px -1px 0 gray, -1px 1px 0 gray, 1px 1px 0 gray; }
.textStrokeBlanc { text-shadow: -1px -1px 0 white, 1px -1px 0 white, -1px 1px 0 white, 1px 1px 0 white; }